# Generated from puppetlabs_spec_helper-8.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name puppetlabs_spec_helper

Name: rubygem-%{gem_name}
Version: 8.0.0
Release: 1%{?dist}
Summary: Standard tasks and configuration for module spec tests
License: Apache-2.0
URL: http://github.com/puppetlabs/puppetlabs_spec_helper
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.7
# BuildRequires: rubygem(voxpupuli-rubocop) >= 2.8.0
# BuildRequires: rubygem(voxpupuli-rubocop) < 2.9
BuildArch: noarch

%description
Contains rake tasks and a standard spec_helper for running spec tests on
puppet modules.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.rubocop.yml
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/spec

%changelog
* Wed Sep 18 2024 mockbuilder - 8.0.0-1
- Initial package
